# Hreflang M2 Module by Flat 101

## Starting 🚀

Analytics is a module, created by Flat 101, that adds the hreflang links in multi-language sites, even if they use different stores.

## Installation

Use the package manager Composer to install the module from the Flat 101's private 
package repository.

First, you need to add the Flat 101's private package repository to the project. 
Once the repository has been added:

```bash
composer require flat101/hreflang
```

```bash
bin/magento setup:upgrade
bin/magento setup:di:compile
bin/magento cache:clean
```

## Configuration

Go to Stores > Configuration > General > Web > Search Engine Optimization

From here, we can.

> Display only HREFLANG for the same site

If set to true it will only display HREFLANG links that belong only to the same site of the same Site.

## Usage
This module automatically adds the hreflang links for **Products, Categories and CMS pages** if there are different language versions of those. 

## Contributions
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.


## Authors

* **Antonio Alonso** - Flat 101 Team
